NXOpen .NET Reference Guide  1899
 All Classes Namespaces Functions Variables Enumerations Enumerator Properties
Public Types | Public Member Functions | Properties | List of all members
NXOpen.Features.OffsetSurfaceBuilder Class Reference

This class represents a offset surface builder, used for creating or editing an offset surface feature. More...

Inheritance diagram for NXOpen.Features.OffsetSurfaceBuilder:
NXOpen.Features.FeatureBuilder NXOpen.Builder NXOpen.TaggedObject NXOpen.GeometricUtilities.IComponentBuilder NXOpen.Utilities.NXRemotableObject IMessageSink

Public Types

enum  OrientationMethodType { UseExistingNormals, SpecifyInteriorPosition }
 Represents the type of orientation method. More...
 
enum  OutputOptionType { OneFeatureForConnectedFaces, OneFeatureForEachFace, OneFeatureForAllFaces }
 Represents the type of output option. More...
 

Public Member Functions

unsafe void AddFaceSets (NXOpen.GeometricUtilities.FaceSetOffset[] faceSets)
 Adds face sets to the face set list More...
 
unsafe void DeleteFaceSet (int index)
 Deletes a face set at the specified index from the face set list More...
 
unsafe
NXOpen.GeometricUtilities.FaceSetOffset 
FindFaceSet (int index)
 Finds and returns a face set at the specified index from the face set list More...
 
unsafe NXOpen.Face[] GetErrorFaces ()
 Get error faces More...
 
unsafe NXOpen.ObjectList GetFaceSetList ()
 Gets the list of face sets More...
 
unsafe
NXOpen.GeometricUtilities.FaceSetOffset[] 
GetFaceSets ()
 Gets the face sets. More...
 
unsafe NXOpen.Point3d GetInteriorPosition ()
 Gets the offset surface interior position for specify interior position method. More...
 
unsafe
NXOpen.Features.OffsetSurfaceBuilder.OrientationMethodType 
GetOrientationMethod ()
 Returns the offset surface orientation method based on the NXOpen.Features.OffsetSurfaceBuilder.OutputOptionType More...
 
unsafe void SetInteriorPosition (NXOpen.Point3d point)
 Sets the offset surface interior position for specify interior position method. More...
 
unsafe void SetOrientationMethod (NXOpen.Features.OffsetSurfaceBuilder.OrientationMethodType orientationMethod)
 Sets the orientation method More...
 
- Public Member Functions inherited from NXOpen.Features.FeatureBuilder
unsafe NXOpen.Features.Feature CommitFeature ()
 Commits the feature parameters and creates the feature More...
 
unsafe NXOpen.Features.Feature GetFeature ()
 Returns the feature currently being edited by this builder. More...
 
unsafe void HideInternalParentFeatureAfterEdit (NXOpen.Features.Feature parentFeature)
 Re-suppress an internal parent feature (a slave feature) after it has been edited. More...
 
unsafe void SetParentFeatureInternal (NXOpen.Features.Feature parentFeature)
 Set the parent features which would be internal or slaves to the feature being created or commited More...
 
unsafe void ShowInternalParentFeatureForEdit (NXOpen.Features.Feature parentFeature)
 Unsuppress an internal parent feature (a slave feature) so it can be edited. More...
 
unsafe void UnsetParentFeatureInternal (NXOpen.Features.Feature parentFeature)
 Set the internal parent feature of the feature being edited to external More...
 
- Public Member Functions inherited from NXOpen.Builder
unsafe NXOpen.NXObject Commit ()
 Commits any edits that have been applied to the builder. More...
 
unsafe void Destroy ()
 Deletes the builder, and cleans up any objects created by the builder. More...
 
unsafe NXOpen.NXObject[] GetCommittedObjects ()
 For builders that create more than one object, this method returns the objects that are created by commit. More...
 
unsafe NXOpen.NXObject GetObject ()
 Returns the object currently being edited by this builder. More...
 
unsafe void ShowResults ()
 Updates the model to reflect the result of an edit to the model for all builders that support showing results. More...
 
unsafe bool Validate ()
 Validate whether the inputs to the component are sufficient for commit to be called. More...
 
- Public Member Functions inherited from NXOpen.TaggedObject
void PrintTestData (String variableName)
 <exclude> More...
 
void PrintTestData (String variableName, int lineNumber)
 <exclude> More...
 
override string ToString ()
 Returns a String that represents the current Object. More...
 
- Public Member Functions inherited from NXOpen.Utilities.NXRemotableObject
IMessageCtrl AsyncProcessMessage (IMessage msg, IMessageSink replySink)
 Asynchronously processes the given message. More...
 
IMessage SyncProcessMessage (IMessage msg)
 Synchronously processes the given message. More...
 

Properties

unsafe bool ApproxOption [get, set]
 Returns or sets the option to create approximate offset surface if the offset surface has self-intersections. More...
 
unsafe
NXOpen.GeometricUtilities.FaceSetOffsetList 
FaceSets [get]
 Returns the list of face sets. More...
 
unsafe int MaximumExcludedObjects [get, set]
 Returns or sets the maximum excluded objects during partial offset. More...
 
unsafe
NXOpen.Features.OffsetSurfaceBuilder.OutputOptionType 
OutputOption [get, set]
 Returns or sets the offset surface output option based on the enum NXOpen.Features.OffsetSurfaceBuilder.OutputOptionType More...
 
unsafe bool PartialOption [get, set]
 Returns or sets the option to pursue a partial offset result More...
 
unsafe NXOpen.Expression Radius [get]
 Returns the radius for error vertex excision during partial offset More...
 
unsafe bool RemoveProblemVerticesOption [get, set]
 Returns or sets the option to remove problem vertices More...
 
unsafe bool StepOption [get, set]
 Returns or sets the offset surface allow step boundaries option. More...
 
unsafe double Tolerance [get, set]
 Returns or sets the offset surface tolerance More...
 
- Properties inherited from NXOpen.Features.FeatureBuilder
unsafe bool ParentFeatureInternal [get, set]
 Returns or sets whether or not the latest timestamped parent feature of this feature should be made internal More...
 
- Properties inherited from NXOpen.Builder
unsafe NXOpen.PreviewBuilder PreviewBuilder [get]
 Returns the preview builder subobject. More...
 
- Properties inherited from NXOpen.TaggedObject
Tag Tag [get]
 Returns the tag of this object. More...
 
- Properties inherited from NXOpen.Utilities.NXRemotableObject
IMessageSink NextSink [get]
 Gets the next message sink in the sink chain. More...
 

Additional Inherited Members

- Protected Member Functions inherited from NXOpen.TaggedObject
new void initialize ()
 <exclude> More...
 

Detailed Description

This class represents a offset surface builder, used for creating or editing an offset surface feature.

The offset surface feature allows different face sets to be offset by different distances. Inputs to this class can be convergent objects.

To create a new instance of this class, use NXOpen.Features.FeatureCollection.CreateOffsetSurfaceBuilder

Default values.

Property Value

ApproxOption

False

OutputOption

OneFeatureForConnectedFaces

PartialOption

False

StepOption

True

Created in NX4.0.0

Member Enumeration Documentation

Represents the type of orientation method.

This is applicable only if the output output is NXOpen.Features.OffsetSurfaceBuilder.OutputOptionType.OneFeatureForEachFace . The first enum value implies that the offset direction will be that of the surface normal whereas the second enum value implies that am interior position will be specified and the offset direction will be away from this point

Enumerator
UseExistingNormals 
SpecifyInteriorPosition 

Represents the type of output option.

The faces to be offset can be disconnected and also from multiple bodies. If either is the case, then multiple features are created. For deciding whether there should be one feature for each topologically connected set of faces or one feature for each face selected the enum below has been provided

Enumerator
OneFeatureForConnectedFaces 
OneFeatureForEachFace 
OneFeatureForAllFaces 

Member Function Documentation

unsafe void NXOpen.Features.OffsetSurfaceBuilder.AddFaceSets ( NXOpen.GeometricUtilities.FaceSetOffset[]  faceSets)
inline

Adds face sets to the face set list

Created in NX4.0.0

Deprecated in NX5.0.0. Use NXOpen.Features.OffsetSurfaceBuilder.FaceSets instead.

License requirements: solid_modeling ("SOLIDS MODELING")

Parameters
faceSetsFace set list
unsafe void NXOpen.Features.OffsetSurfaceBuilder.DeleteFaceSet ( int  index)
inline

Deletes a face set at the specified index from the face set list

Created in NX4.0.0

Deprecated in NX5.0.0. Use NXOpen.Features.OffsetSurfaceBuilder.FaceSets instead.

License requirements: solid_modeling ("SOLIDS MODELING")

Parameters
indexIndex of face set to be deleted
unsafe NXOpen.GeometricUtilities.FaceSetOffset NXOpen.Features.OffsetSurfaceBuilder.FindFaceSet ( int  index)
inline

Finds and returns a face set at the specified index from the face set list

Created in NX4.0.0

Deprecated in NX5.0.0. Use NXOpen.Features.OffsetSurfaceBuilder.FaceSets instead.

License requirements: solid_modeling ("SOLIDS MODELING")

Parameters
indexIndex of face set to be returned
Returns
Face set returned
unsafe NXOpen.Face [] NXOpen.Features.OffsetSurfaceBuilder.GetErrorFaces ( )
inline

Get error faces

Created in NX1847.0.0

License requirements: None.

Returns
Error faces
unsafe NXOpen.ObjectList NXOpen.Features.OffsetSurfaceBuilder.GetFaceSetList ( )
inline

Gets the list of face sets

Created in NX4.0.0

Deprecated in NX5.0.0. Use NXOpen.Features.OffsetSurfaceBuilder.FaceSets instead.

License requirements: None.

Returns
Face set list
unsafe NXOpen.GeometricUtilities.FaceSetOffset [] NXOpen.Features.OffsetSurfaceBuilder.GetFaceSets ( )
inline

Gets the face sets.

A face set is a combination of a face collector and an offset distance.

Created in NX4.0.0

Deprecated in NX5.0.0. Use NXOpen.Features.OffsetSurfaceBuilder.FaceSets instead.

License requirements: None.

Returns
Face set list
unsafe NXOpen.Point3d NXOpen.Features.OffsetSurfaceBuilder.GetInteriorPosition ( )
inline

Gets the offset surface interior position for specify interior position method.

Created in NX4.0.0

License requirements: None.

Returns
Interior position for specify interior position method
unsafe NXOpen.Features.OffsetSurfaceBuilder.OrientationMethodType NXOpen.Features.OffsetSurfaceBuilder.GetOrientationMethod ( )
inline

Returns the offset surface orientation method based on the NXOpen.Features.OffsetSurfaceBuilder.OutputOptionType

Created in NX4.0.0

License requirements: None.

Returns
Orientation method
unsafe void NXOpen.Features.OffsetSurfaceBuilder.SetInteriorPosition ( NXOpen.Point3d  point)
inline

Sets the offset surface interior position for specify interior position method.

This allows * the specified faces to be offset away from the interior position.

Created in NX4.0.0

License requirements: solid_modeling ("SOLIDS MODELING")

Parameters
pointInterior position for specify interior position method
unsafe void NXOpen.Features.OffsetSurfaceBuilder.SetOrientationMethod ( NXOpen.Features.OffsetSurfaceBuilder.OrientationMethodType  orientationMethod)
inline

Sets the orientation method

Created in NX4.0.0

License requirements: solid_modeling ("SOLIDS MODELING")

Parameters
orientationMethodOrientation method

Property Documentation

unsafe bool NXOpen.Features.OffsetSurfaceBuilder.ApproxOption
getset

Returns or sets the option to create approximate offset surface if the offset surface has self-intersections.

Created in NX4.0.0

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING")

unsafe NXOpen.GeometricUtilities.FaceSetOffsetList NXOpen.Features.OffsetSurfaceBuilder.FaceSets
get

Returns the list of face sets.

Each element defines a set of faces, and an offset distance applied to those faces.

Created in NX4.0.0

License requirements: None.

unsafe int NXOpen.Features.OffsetSurfaceBuilder.MaximumExcludedObjects
getset

Returns or sets the maximum excluded objects during partial offset.

If the excluded objects reach this number, the partial offset will stop.

Created in NX7.5.0

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING")

unsafe NXOpen.Features.OffsetSurfaceBuilder.OutputOptionType NXOpen.Features.OffsetSurfaceBuilder.OutputOption
getset

Returns or sets the offset surface output option based on the enum NXOpen.Features.OffsetSurfaceBuilder.OutputOptionType

Created in NX4.0.0

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING")

unsafe bool NXOpen.Features.OffsetSurfaceBuilder.PartialOption
getset

Returns or sets the option to pursue a partial offset result

Created in NX7.5.0

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING")

unsafe NXOpen.Expression NXOpen.Features.OffsetSurfaceBuilder.Radius
get

Returns the radius for error vertex excision during partial offset

Created in NX7.5.0

License requirements: None.

unsafe bool NXOpen.Features.OffsetSurfaceBuilder.RemoveProblemVerticesOption
getset

Returns or sets the option to remove problem vertices

Created in NX7.5.0

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING")

unsafe bool NXOpen.Features.OffsetSurfaceBuilder.StepOption
getset

Returns or sets the offset surface allow step boundaries option.

If this option is true then side faces will be created along any smooth edge between a face which is offset and one which is not.

Created in NX4.0.0

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING")

unsafe double NXOpen.Features.OffsetSurfaceBuilder.Tolerance
getset

Returns or sets the offset surface tolerance

Created in NX4.0.0

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING")


The documentation for this class was generated from the following file:
Copyright 2019 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.